#include <Arduino.h>

#include "Talkie.h"
#include "Vocab_US_Large.h"
#include "Vocab_Special.h"
#include "Vocab_US_TI99.h"
#include "Vocab_US_Clock.h"
#include "Vocab_US_Acorn.h"

int button; // variable for button state
long randNumber; // variable for random number

Talkie voice; // initialize talkie command

void setup() {
  pinMode(7, INPUT_PULLUP); // set button pin to pullup input

  Serial.begin(115200);
  
  #if defined(__AVR_ATmega32U4__) || defined(SERIAL_USB) || defined(SERIAL_PORT_USBVIRTUAL)  || defined(ARDUINO_attiny3217)
    delay(4000); // To be able to connect Serial monitor after reset or power up and before first print out. Do not wait for an attached Serial Monitor!
  #endif
    // Just to know which program is running on my Arduino
    Serial.println(F("START " __FILE__ " from " __DATE__ "\r\nUsing library version " VERSION_TALKIE));
}

void loop() {
  button = digitalRead(7); // read button pin

  Serial.println(button); // print new line with button state

  if (button == 0) {
    randNumber = random(3); // generate random number to pick which saying gets output

    if (randNumber == 0) { // output saying 1 
      voice.say(spPAUSE2);
      voice.say(spa_YOUR);
      voice.say(sp2_ON);
      voice.say(sp2_FIRE);
      
      voice.say(spPAUSE2);
      voice.say(spa_YOUR);
      voice.say(sp2_ON);
      voice.say(sp2_FIRE);  
    }
    else if (randNumber == 1) { // output saying 2
      voice.say(spPAUSE2);
      voice.say(spa_THAT);
      voice.say(spa_WAS);
      voice.say(spa_VERY);
      voice.say(spa_VERY);
      voice.say(spa_VERY);
      voice.say(spa_POSITIVE);  
    }
    else if (randNumber == 2) { // output saying 3
      voice.say(spPAUSE2);
      voice.say(spt_HELLO);
      voice.say(spt_PARTNER);
      voice.say(spPAUSE2);
      voice.say(spt_GOOD_WORK);
    }
  }
}
